package com.zhu.vo;

import java.util.List;

public class PageResult<T> {
	private Long total;
	private Long totalPage;
	private List<T> items;
	public Long getTotal() {
		return total;
	}
	public void setTotal(Long total) {
		this.total = total;
	}
	public Long getTotalPage() {
		return totalPage;
	}
	public void setTotalPage(Long totalPage) {
		this.totalPage = totalPage;
	}
	public List<T> getItems() {
		return items;
	}
	public void setItems(List<T> items) {
		this.items = items;
	}
	public PageResult() {

	}
    public PageResult(Long total, List<T> items) {
        this.total = total;
        this.items = items;
    }
	public PageResult(Long total, Long totalPage, List<T> items) {
		this.total = total;
		this.totalPage = totalPage;
		this.items = items;
	}
	
}
