(function($){
	addOrderApi='http://localhost:8080/order-manager/api/add'
	delOrderApi='http://localhost:8080/order-manager/api/delete'
	editOrderApi='http://localhost:8080/order-manager/api/edit'
	getOrderApi='http://localhost:8080/order-manager/api/page'
	logoutApi = 'http://localhost:8080/order-manager/manage/signOut'
	showAPI = 'http://localhost:8080/order-manager/manage/show'
	const main = {
		currentPage:1,
		rows:10,
		totalPage:20,
		key:'',
		pageData:{}
	}
	
	const common ={
		getUrlParam:function(key) {
		    // ȡ
		    var url = window.location.search;
		    // ɸѡַ
		    var reg = new RegExp("(^|&)" + key + "=([^&]*)(&|$)");
		    // ƥĿ
		    var result = url.substr(1).match(reg);
		    //زֵ
		    return result ? decodeURIComponent(result[2]) : null;
		},
		add0:function(m){
			return m<10?'0'+m:m 
		},
		timestampToTime:function(timestamp) {
			
		  //timestampҪparseIntת,ٸ0
		 
			var time = new Date(timestamp);
			var year = time.getFullYear();
			var month = time.getMonth()+1;
			var date = time.getDate();
			var hours = time.getHours();
			var minutes = time.getMinutes();
			var seconds = time.getSeconds();
			return year+'-'+common.add0(month)+'-'+common.add0(date);

		},
		sendRequest:function(url,method,param,success,failure){
			$.ajax({
				url:url,
				type:method,
				data:param,

				success:function(data){
					success(data);
				},
				error:function(msg){
					failure(msg);
				}
			});
		},
		backView:function(list){		
			$("#content").empty();	
			$.each(list,function(index,val){
				$tr = $("<tr></tr>");
				row1 = "<td>"+val.orderNum+"</td>"; $tr.append(row1)
				row2 = "<td>"+val.goods+"</td>"; $tr.append(row2)
				row3 = "<td>"+val.holder+"</td>"; $tr.append(row3)
				row4 = "<td>"+val.mphone+"</td>"; $tr.append(row4)
				row5 = "<td>"+val.addr+"</td>"; $tr.append(row5)
				row6 = "<td>"+common.timestampToTime(val.createTime)+"</td>"; $tr.append(row6)
				row7 = "<button type='button' class='edit btn btn-info btn-sm'><span class='glyphicon glyphicon-pencil' data-toggle='modal' data-target='#editModal' ></span></button>&nbsp;"
				row8 = "<button type='button' class='del btn btn-danger btn-sm'><span class='glyphicon glyphicon-trash'></span></button>"
				row9 = "<td>"+row7+row8+"</td>"; $tr.append(row9)
				$("#content").append($tr)
			});
			$.each($(".del"),function(index,val){
				$(val).click(function(){
					let warm = confirm("确定删除该条订单吗？");
					if(warm){
						common.sendRequest(delOrderApi+'/'+list[index].orderNum,'delete',null,function(){
							common.queryOrder(main.currentPage,main.rows);
						},function(){
							alert("failure");
						});
					}
				})
			});
			$.each($(".edit"),function(index,val){
				$(val).click(function(){
					$(".editmsg")[0].value=list[index].orderNum;
					$(".editmsg")[1].value=list[index].goods;
					$(".editmsg")[2].value=list[index].holder;
					$(".editmsg")[3].value=list[index].mphone;
					$(".editmsg")[4].value=list[index].addr;	
				});
					
			});
		},
		addOrder:function(){
			common.sendRequest(addOrderApi,'post',$("#formadd").serialize(),
				function(){
					common.queryOrder(main.currentPage,main.rows);
					$(".close").click();
				},
				function(){
					alert('failure');
			});
			
		},
		queryOrder:function(page,rows,key){
			console.log(key)
			if(key)
				obj = {page:page,rows:rows,key:key}
			else
				obj = {page:page,rows:rows}
			common.sendRequest(getOrderApi,'get',obj,
			function(data){
				main.totalPage = data.totalPage;
				main.pageData = data.items;
				common.backView(data.items);
			},
			function(date){
				$("#content").empty();
			});
			}
		}


	$("#currentPage").change(function(){
		main.currentPage = $("#currentPage").val();
		$('#viewpage').text(main.currentPage);
		common.queryOrder(main.currentPage,main.rows,main.key);
	});
	$("#rows").change(function(){
		main.rows = $("#rows").val();
		common.queryOrder(main.currentPage,main.rows,main.key);
	});
	$("#order").change(function(){
		main.key = $("#order").val();
		common.queryOrder(main.currentPage,main.rows,main.key);
	})
	$("#query").click(function(){
		common.queryOrder(main.currentPage,main.rows);
	});
	$("#pre").click(function(){
		if(main.currentPage>1){
			$("#currentPage").val(Number(main.currentPage)-1);
			$("#viewpage").text(Number(main.currentPage)-1);
			main.currentPage--;
			common.queryOrder(main.currentPage,main.rows);
		}
	});
	$("#next").click(function(){
		if(main.currentPage<main.totalPage){
			$("#currentPage").val(Number(main.currentPage)+1);
			$("#viewpage").text(Number(main.currentPage)+1);
			main.currentPage++;
			common.queryOrder(main.currentPage,main.rows);
		}
	});
	$("#add").click(function(){
		common.addOrder();
	});
	$("#logout").click(function(){
		common.sendRequest('logoutApi','get');
		window.location.href="http://localhost:8080/order-manager/view/login.html";
	})
	$("#edit").click(function(){
		common.sendRequest(editOrderApi,'post',$("#formedit").serialize(),
			function(){
				common.queryOrder(main.currentPage,main.rows);
				$(".close").click();
			},
			function(){
				alert('failure');
		});

	});
//	$("#sickname").text(common.getUrlParam('sickname'));
	common.queryOrder(1,10);
	common.sendRequest(showAPI,'get',{},function(data){
		$("#sickname").text(data.sickname);
	})
})(jQuery);