package com.zhu.service;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.zhu.mapper.ManagerMapper;
import com.zhu.pojo.Manager;

@Service
public class ManagerService {
	
	@Autowired
	private ManagerMapper managerMapper;

	public String login(String username, String password, HttpSession session) {
		Manager manager = managerMapper.matchManager(username,password);
		if(manager != null){
			session.setAttribute("manager", manager);
			return manager.getSickname();
		}else{
			return "failure";
		}		
	}
	public boolean register(String username, String password,String sickname){
		if(managerMapper.isExistManager(username)==null){
			managerMapper.registerManager(username, password, sickname);
			return true;
		}else{
			return false;
		}
	}

}
